Subject: bug#41242: Port feature/native-comp to Windows

From: Andrea Corallo <[email-masked]>
Date: Thu, 14 May 2020 10:18:26 +0000

Nicolas Bértolo <[email-masked]> writes:

> * `package-delete` fails because it tries to delete the .eln file via
>   `delete-file`. This is impossible in Windows because it's generally impossible
>   to delete files that have an open HANDLE in the system.
>
>   Three solutions have crossed my mind:
>
>   - Edit `package-delete` to put the eln on a list of files that should be
>     deleted when Emacs is closed.
>
>   - Implement an unloading mechanism for native-compiled files.
>
>   - Copy eln files to temporary files and load those temporary files instead.
>     This means that deleting the original eln file is possible.
>
>   I'd prefer the second option, but I have a semi-working patch for the third
>   option.

I don't think the second is an option.  The unload machanism is already
in place but is GC driven, I don't see how else it could work.

-- 
[email-masked]